/*
* This Source Code Form is subject to the terms of the Mozilla Public
* License, v. 2.0. If a copy of the MPL was not distributed with this
* file, You can obtain one at https://mozilla.org/MPL/2.0/.
*/

/** @file */

/**
* \defgroup compile_data_tests Test that Whisper::Data datatypes compile
* All test cases for verifying comilation of Whisper::Data datatypes and classes
*/


#define CATCH_CONFIG_MAIN
#include<catch2/catch.hpp>
#include<Whisper/Data/Classification.hpp>

/**
* \brief Verify that data classification compile and can be used
* \ingroup  compile_data_tests
*/
SCENARIO("Use Classification of Data","[classification,data]")
{
  GIVEN("nothing")
  {


    WHEN("instantiating some classifications")
    {

      Whisper::Data::classification c0 = Whisper::Data::classification::PUBLIC;
      Whisper::Data::classification c1 = Whisper::Data::classification::OPEN;
      Whisper::Data::classification c2 = Whisper::Data::classification::RESTRICTED;
      Whisper::Data::classification c3 = Whisper::Data::classification::CONFIDENTIAL;
      Whisper::Data::classification c4 = Whisper::Data::classification::SECRET;
      Whisper::Data::classification c5 = Whisper::Data::classification::TOP_SECRET;

      THEN("then everything is fine")
      {
      }
    }

  }

}
